import { useRequest } from '@/use/useHttp'

// 收款单列表
export const MpCashManagementOrderList = () => {
  return useRequest({
    url: '/v2/mp/cashManagementOrder/list',
    method: 'get',
  })
}
// 收款单详情
export const MpCashManagementOrder = () => {
  return useRequest({
    url: '/v2/mp/cashManagementOrder',
    method: 'get',
  })
}
// 收款账号
export const MpCashManagementOrderAccount = () => {
  return useRequest({
    url: '/v2/mp/cashManagementOrder/account',
    method: 'get',
  })
}
// 新建收款单
export const MpCashManagementOrderPost = () => {
  return useRequest({
    url: '/v2/mp/cashManagementOrder',
    method: 'post',
  })
}
// 扫描获取应收单的客户信息
export const MpShouldCollectOrderPurchaser = () => {
  return useRequest({
    url: '/v2/mp/shouldCollectOrder/purchaser',
    method: 'get',
  })
}
